API Documentation
Kuali Research REST APIs - Proposal Development
Research Proposal Development ¶
Abstract Types ¶
Get Abstract Types by KeyGET/propdev/api/v1/abstract-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Abstract TypesGET/propdev/api/v1/abstract-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Abstract Types with FilteringGET/propdev/api/v1/abstract-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- code
string(optional)Abstract Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Abstract TypesGET/propdev/api/v1/abstract-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"description"
],
"primaryKey": "code"
}Get Blueprint API specification for Abstract TypesGET/propdev/api/v1/abstract-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Abstract Types.md"
transfer-encoding: chunkedUpdate Abstract TypesPUT/propdev/api/v1/abstract-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Abstract TypesPUT/propdev/api/v1/abstract-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Abstract TypesPATCH/propdev/api/v1/abstract-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Abstract TypesPOST/propdev/api/v1/abstract-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Abstract TypesPOST/propdev/api/v1/abstract-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Abstract Types by KeyDELETE/propdev/api/v1/abstract-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Abstract TypesDELETE/propdev/api/v1/abstract-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Abstract Types with MatchingDELETE/propdev/api/v1/abstract-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)Abstract Type. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Changed Data ¶
Get Budget Changed Data by KeyGET/propdev/api/v1/budget-changed-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}Get All Budget Changed DataGET/propdev/api/v1/budget-changed-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Changed Data with FilteringGET/propdev/api/v1/budget-changed-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- changeNumber
string(optional)Change Number. Maximum length is 3. Validating pattern is ^[0-9]*$.
- columnName
string(optional)Field. Maximum length is 30. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- proposalNumber
string(optional)Proposal Number. Maximum length is 8. Validating pattern is ^[0-9]*$.
- changedValue
string(optional)Changed Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.
- comments
string(optional)Comments. Maximum length is 300. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- displayValue
string(optional)Display Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.
- oldDisplayValue
string(optional)Old Display Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Changed DataGET/propdev/api/v1/budget-changed-data/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"changeNumber",
"columnName",
"proposalNumber",
"changedValue",
"comments",
"displayValue",
"oldDisplayValue"
],
"primaryKey": "changeNumber:columnName:proposalNumber"
}Get Blueprint API specification for Budget Changed DataGET/propdev/api/v1/budget-changed-data/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Changed Data.md"
transfer-encoding: chunkedUpdate Budget Changed DataPUT/propdev/api/v1/budget-changed-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Changed DataPUT/propdev/api/v1/budget-changed-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Changed DataPATCH/propdev/api/v1/budget-changed-data/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}Insert Budget Changed DataPOST/propdev/api/v1/budget-changed-data/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Changed DataPOST/propdev/api/v1/budget-changed-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Changed Data by KeyDELETE/propdev/api/v1/budget-changed-data/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Changed DataDELETE/propdev/api/v1/budget-changed-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Changed Data with MatchingDELETE/propdev/api/v1/budget-changed-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- changeNumber
string(optional)Change Number. Maximum length is 3. Validating pattern is ^[0-9]*$.
- columnName
string(optional)Field. Maximum length is 30. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- proposalNumber
string(optional)Proposal Number. Maximum length is 8. Validating pattern is ^[0-9]*$.
- changedValue
string(optional)Changed Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.
- comments
string(optional)Comments. Maximum length is 300. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- displayValue
string(optional)Display Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.
- oldDisplayValue
string(optional)Old Display Value. Maximum length is 1000. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Columns To Alter ¶
Get Budget Columns To Alter by KeyGET/propdev/api/v1/budget-columns-to-alter/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}Get All Budget Columns To AlterGET/propdev/api/v1/budget-columns-to-alter/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Columns To Alter with FilteringGET/propdev/api/v1/budget-columns-to-alter/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- columnName
string(optional)Column Name. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.
- columnLabel
string(optional)Column Label. Maximum length is 30. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- dataLength
string(optional)Data Length. Maximum length is 4. Validating pattern is ^[0-9]*$.
- dataType
string(optional)Data Type. Maximum length is 9. Validating pattern is ^[A-Za-z0-9]*$.
- hasLookup
string(optional)Has Lookup. Maximum length is 1. Validating pattern is .*.
- lookupClass
string(optional)Lookup Argument. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.
- lookupReturn
string(optional)Lookup Return. Maximum length is 50. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Columns To AlterGET/propdev/api/v1/budget-columns-to-alter/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"columnName",
"columnLabel",
"dataLength",
"dataType",
"hasLookup",
"lookupClass",
"lookupReturn"
],
"primaryKey": "columnName"
}Get Blueprint API specification for Budget Columns To AlterGET/propdev/api/v1/budget-columns-to-alter/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Columns To Alter.md"
transfer-encoding: chunkedUpdate Budget Columns To AlterPUT/propdev/api/v1/budget-columns-to-alter/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Columns To AlterPUT/propdev/api/v1/budget-columns-to-alter/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Columns To AlterPATCH/propdev/api/v1/budget-columns-to-alter/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}Insert Budget Columns To AlterPOST/propdev/api/v1/budget-columns-to-alter/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Columns To AlterPOST/propdev/api/v1/budget-columns-to-alter/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Columns To Alter by KeyDELETE/propdev/api/v1/budget-columns-to-alter/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Columns To AlterDELETE/propdev/api/v1/budget-columns-to-alter/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Columns To Alter with MatchingDELETE/propdev/api/v1/budget-columns-to-alter/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- columnName
string(optional)Column Name. Maximum length is 30. Validating pattern is ^[\p{Graph}]*$.
- columnLabel
string(optional)Column Label. Maximum length is 30. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- dataLength
string(optional)Data Length. Maximum length is 4. Validating pattern is ^[0-9]*$.
- dataType
string(optional)Data Type. Maximum length is 9. Validating pattern is ^[A-Za-z0-9]*$.
- hasLookup
string(optional)Has Lookup. Maximum length is 1. Validating pattern is .*.
- lookupClass
string(optional)Lookup Argument. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.
- lookupReturn
string(optional)Lookup Return. Maximum length is 50. Validating pattern is ^[A-Za-z0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Statuses ¶
Get Budget Statuses by KeyGET/propdev/api/v1/budget-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Budget StatusesGET/propdev/api/v1/budget-statuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Statuses with FilteringGET/propdev/api/v1/budget-statuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- budgetStatusCode
string(optional)Budget Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget StatusesGET/propdev/api/v1/budget-statuses/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetStatusCode",
"description"
],
"primaryKey": "budgetStatusCode"
}Get Blueprint API specification for Budget StatusesGET/propdev/api/v1/budget-statuses/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Statuses.md"
transfer-encoding: chunkedUpdate Budget StatusesPUT/propdev/api/v1/budget-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget StatusesPUT/propdev/api/v1/budget-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget StatusesPATCH/propdev/api/v1/budget-statuses/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Budget StatusesPOST/propdev/api/v1/budget-statuses/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget StatusesPOST/propdev/api/v1/budget-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Statuses by KeyDELETE/propdev/api/v1/budget-statuses/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget StatusesDELETE/propdev/api/v1/budget-statuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Statuses with MatchingDELETE/propdev/api/v1/budget-statuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetStatusCode
string(optional)Budget Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Sub Award Attachments ¶
Get Budget Sub Award Attachments by KeyGET/propdev/api/v1/budget-sub-award-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Get All Budget Sub Award AttachmentsGET/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Sub Award Attachments with FilteringGET/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- data
string(optional)- name
string(optional)- type
string(optional)- id
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Sub Award AttachmentsGET/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"data",
"name",
"type",
"id"
],
"primaryKey": "id"
}Get Blueprint API specification for Budget Sub Award AttachmentsGET/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Attachments.md"
transfer-encoding: chunkedUpdate Budget Sub Award AttachmentsPUT/propdev/api/v1/budget-sub-award-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Sub Award AttachmentsPUT/propdev/api/v1/budget-sub-award-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Sub Award AttachmentsPATCH/propdev/api/v1/budget-sub-award-attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Budget Sub Award AttachmentsPOST/propdev/api/v1/budget-sub-award-attachments/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Sub Award AttachmentsPOST/propdev/api/v1/budget-sub-award-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Sub Award Attachments by KeyDELETE/propdev/api/v1/budget-sub-award-attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award AttachmentsDELETE/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Sub Award Attachments with MatchingDELETE/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- data
string(optional)- name
string(optional)- type
string(optional)- id
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Sub Award Files ¶
Get Budget Sub Award Files by KeyGET/propdev/api/v1/budget-sub-award-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}Get All Budget Sub Award FilesGET/propdev/api/v1/budget-sub-award-files/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Sub Award Files with FilteringGET/propdev/api/v1/budget-sub-award-files/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- subAwardXfdFileData
string(optional)Sub Award Xfd File Data. Validating pattern is .*.
- subAwardXfdFileName
string(optional)Sub Award Xfd File Name. Validating pattern is .*.
- subAwardXmlFileData
string(optional)Sub Award Xml File Data. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Sub Award FilesGET/propdev/api/v1/budget-sub-award-files/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"subAwardXfdFileData",
"subAwardXfdFileName",
"subAwardXmlFileData"
],
"primaryKey": "budgetSubAward"
}Get Blueprint API specification for Budget Sub Award FilesGET/propdev/api/v1/budget-sub-award-files/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Files.md"
transfer-encoding: chunkedUpdate Budget Sub Award FilesPUT/propdev/api/v1/budget-sub-award-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Sub Award FilesPUT/propdev/api/v1/budget-sub-award-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Sub Award FilesPATCH/propdev/api/v1/budget-sub-award-files/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}Insert Budget Sub Award FilesPOST/propdev/api/v1/budget-sub-award-files/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Sub Award FilesPOST/propdev/api/v1/budget-sub-award-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Sub Award Files by KeyDELETE/propdev/api/v1/budget-sub-award-files/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award FilesDELETE/propdev/api/v1/budget-sub-award-files/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Sub Award Files with MatchingDELETE/propdev/api/v1/budget-sub-award-files/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- subAwardXfdFileData
string(optional)Sub Award Xfd File Data. Validating pattern is .*.
- subAwardXfdFileName
string(optional)Sub Award Xfd File Name. Validating pattern is .*.
- subAwardXmlFileData
string(optional)Sub Award Xml File Data. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Sub Award Period Details ¶
Get Budget Sub Award Period Details by KeyGET/propdev/api/v1/budget-sub-award-period-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}Get All Budget Sub Award Period DetailsGET/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Sub Award Period Details with FilteringGET/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)id. Maximum length is 3. Validating pattern is ^[0-9]*$.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3. Validating pattern is ^[0-9]*$.
- directCost
string(optional)Direct Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- indirectCost
string(optional)F&A Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- costShare
string(optional)Cost Sharing. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- totalCost
string(optional)Total Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- subAwardNumber
string(optional)subAwardNumber. Maximum length is 3. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Sub Award Period DetailsGET/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"budgetPeriod",
"directCost",
"indirectCost",
"costShare",
"totalCost",
"subAwardNumber"
],
"primaryKey": "id"
}Get Blueprint API specification for Budget Sub Award Period DetailsGET/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Period Details.md"
transfer-encoding: chunkedUpdate Budget Sub Award Period DetailsPUT/propdev/api/v1/budget-sub-award-period-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Sub Award Period DetailsPUT/propdev/api/v1/budget-sub-award-period-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Sub Award Period DetailsPATCH/propdev/api/v1/budget-sub-award-period-details/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}Insert Budget Sub Award Period DetailsPOST/propdev/api/v1/budget-sub-award-period-details/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Sub Award Period DetailsPOST/propdev/api/v1/budget-sub-award-period-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Sub Award Period Details by KeyDELETE/propdev/api/v1/budget-sub-award-period-details/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award Period DetailsDELETE/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Sub Award Period Details with MatchingDELETE/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)id. Maximum length is 3. Validating pattern is ^[0-9]*$.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3. Validating pattern is ^[0-9]*$.
- directCost
string(optional)Direct Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- indirectCost
string(optional)F&A Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- costShare
string(optional)Cost Sharing. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- totalCost
string(optional)Total Cost. Maximum length is 22. Validating pattern is ^-?([0-9]{0,10}.[0-9]{1,2}|[0-9]{1,10})$.
- subAwardNumber
string(optional)subAwardNumber. Maximum length is 3. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBudget Sub Awards ¶
Get Budget Sub Awards by KeyGET/propdev/api/v1/budget-sub-awards/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Get All Budget Sub AwardsGET/propdev/api/v1/budget-sub-awards/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Sub Awards with FilteringGET/propdev/api/v1/budget-sub-awards/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- budgetId
string(optional)Budget Id. Validating pattern is .*.
- subAwardNumber
string(optional)subAwardNumber. Maximum length is 3. Validating pattern is ^[0-9]*$.
- comments
string(optional)Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- organizationId
string(optional)Organization Id. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- subAwardStatusCode
string(optional)Subaward Status Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- fileDataId
string(optional)File Data Id. Validating pattern is .*.
- subAwardXfdFileName
string(optional)Subaward PDF File Name. Maximum length is 256. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- xmlDataId
string(optional)Xml Data Id. Validating pattern is .*.
- translationComments
string(optional)Translation Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- xfdUpdateTimestamp
string(optional)This attribute should always be overridden on the descriptive elements. Maximum length is 21. Validating pattern is .*.
- xfdUpdateUser
string(optional)xfdUpdateUser. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
- xmlUpdateTimestamp
string(optional)This attribute should always be overridden on the descriptive elements. Maximum length is 21. Validating pattern is .*.
- xmlUpdateUser
string(optional)xmlUpdateUser. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
- namespace
string(optional)Namespace. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- formName
string(optional)Form Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- hierarchyProposalNumber
string(optional)Hierarchy Proposal Number. Validating pattern is .*.
- hiddenInHierarchy
string(optional)Hidden In Hierarchy. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Sub AwardsGET/propdev/api/v1/budget-sub-awards/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetId",
"subAwardNumber",
"comments",
"organizationId",
"subAwardStatusCode",
"fileDataId",
"subAwardXfdFileName",
"xmlDataId",
"translationComments",
"xfdUpdateTimestamp",
"xfdUpdateUser",
"xmlUpdateTimestamp",
"xmlUpdateUser",
"namespace",
"formName",
"hierarchyProposalNumber",
"hiddenInHierarchy"
],
"primaryKey": "budget:subAwardNumber"
}Get Blueprint API specification for Budget Sub AwardsGET/propdev/api/v1/budget-sub-awards/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Awards.md"
transfer-encoding: chunkedUpdate Budget Sub AwardsPUT/propdev/api/v1/budget-sub-awards/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Sub AwardsPUT/propdev/api/v1/budget-sub-awards/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Sub AwardsPATCH/propdev/api/v1/budget-sub-awards/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Insert Budget Sub AwardsPOST/propdev/api/v1/budget-sub-awards/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Sub AwardsPOST/propdev/api/v1/budget-sub-awards/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Sub Awards by KeyDELETE/propdev/api/v1/budget-sub-awards/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub AwardsDELETE/propdev/api/v1/budget-sub-awards/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Budget Sub Awards with MatchingDELETE/propdev/api/v1/budget-sub-awards/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetId
string(optional)Budget Id. Validating pattern is .*.
- subAwardNumber
string(optional)subAwardNumber. Maximum length is 3. Validating pattern is ^[0-9]*$.
- comments
string(optional)Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- organizationId
string(optional)Organization Id. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- subAwardStatusCode
string(optional)Subaward Status Code. Maximum length is 3. Validating pattern is ^[0-9]*$.
- fileDataId
string(optional)File Data Id. Validating pattern is .*.
- subAwardXfdFileName
string(optional)Subaward PDF File Name. Maximum length is 256. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- xmlDataId
string(optional)Xml Data Id. Validating pattern is .*.
- translationComments
string(optional)Translation Comments. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- xfdUpdateTimestamp
string(optional)This attribute should always be overridden on the descriptive elements. Maximum length is 21. Validating pattern is .*.
- xfdUpdateUser
string(optional)xfdUpdateUser. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
- xmlUpdateTimestamp
string(optional)This attribute should always be overridden on the descriptive elements. Maximum length is 21. Validating pattern is .*.
- xmlUpdateUser
string(optional)xmlUpdateUser. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
- namespace
string(optional)Namespace. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- formName
string(optional)Form Name. Maximum length is 100. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- hierarchyProposalNumber
string(optional)Hierarchy Proposal Number. Validating pattern is .*.
- hiddenInHierarchy
string(optional)Hidden In Hierarchy. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalCongressional Districts ¶
Get Congressional Districts by KeyGET/propdev/api/v1/congressional-districts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}Get All Congressional DistrictsGET/propdev/api/v1/congressional-districts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]Get All Congressional Districts with FilteringGET/propdev/api/v1/congressional-districts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- id
string(optional)Id. Validating pattern is .*.
- congressionalDistrict
string(optional)State code plus congressional district number. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Congressional DistrictsGET/propdev/api/v1/congressional-districts/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"congressionalDistrict"
],
"primaryKey": "id"
}Get Blueprint API specification for Congressional DistrictsGET/propdev/api/v1/congressional-districts/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Congressional Districts.md"
transfer-encoding: chunkedUpdate Congressional DistrictsPUT/propdev/api/v1/congressional-districts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Congressional DistrictsPUT/propdev/api/v1/congressional-districts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Congressional DistrictsPATCH/propdev/api/v1/congressional-districts/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}Insert Congressional DistrictsPOST/propdev/api/v1/congressional-districts/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Congressional DistrictsPOST/propdev/api/v1/congressional-districts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]Delete Congressional Districts by KeyDELETE/propdev/api/v1/congressional-districts/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Congressional DistrictsDELETE/propdev/api/v1/congressional-districts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Congressional Districts with MatchingDELETE/propdev/api/v1/congressional-districts/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Validating pattern is .*.
- congressionalDistrict
string(optional)State code plus congressional district number. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDevelopment Proposals ¶
Get Development Proposals by KeyGET/propdev/api/v1/development-proposals/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"assignerId": "(val)",
"approverId": "(val)",
"_primaryKey": "(val)"
}Get All Development ProposalsGET/propdev/api/v1/development-proposals/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"assignerId": "(val)",
"approverId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"assignerId": "(val)",
"approverId": "(val)",
"_primaryKey": "(val)"
}
]Get All Development Proposals with FilteringGET/propdev/api/v1/development-proposals/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- proposalNumber
string(optional)The unique proposal number identifying a proposal. This is a system generated, sequential number. Maximum length is 12. Validating pattern is ^[0-9]*$.
- proposalTypeCode
string(optional)The type of the proposal. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- continuedFrom
string(optional)A unique institutionally assigned proposal number of a previously submitted proposal. This is applicable when submitting a revised (changed/corrected) application. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- sponsorCode
string(optional)The identification number of the organization or agency that is providing support for the sponsored project. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- activityTypeCode
string(optional)The type of activity proposed, e.g. organized research, instruction, etc. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- ownedByUnitNumber
string(optional)Unit Number. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- requestedStartDateInitial
string(optional)The date the project period will begin. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- requestedEndDateInitial
string(optional)The date the project period will terminate. Maximum length is 10. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- title
string(optional)The proposed title of the project. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- currentAwardNumber
string(optional)A unique institutionally assigned number of a previously funded application. Maximum length is 12. Validating pattern is ^\d\d\d\d\d\d-\d\d\d\d\d*$.
- deadlineDate
string(optional)The date in which the proposal is due to the sponsoring agency. Additional deadlines may be set by the office authorized to submit proposals on behalf of the institution (e.g. sponsored programs, etc.). Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- deadlineTime
string(optional)The time in which the proposal is due to the sponsoring agency. Additional deadlines may be set by the office authorized to submit proposals on behalf of the institution (e.g. sponsored programs, etc.). Maximum length is 15. Validating pattern is .*.
- noticeOfOpportunityCode
string(optional)Indicates if the proposal was in response to a solicitation, the type of solicitation or if it is unsolicited. Maximum length is 3. Validating pattern is ^[\p{Graph}]*$.
- deadlineType
string(optional)Indicates the type of proposal deadline. Maximum length is 3. Validating pattern is ^[\p{Graph}]*$.
- anticipatedAwardTypeCode
string(optional)Anticipated Award Type. Maximum length is 3. Validating pattern is ^[0-9]*$.
- programAnnouncementNumber
string(optional)A unique identifier associated with each sponsor’s funding opportunity announcement. AKA “Funding Opportunity Announcement number” or “FOA number”. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- primeSponsorCode
string(optional)The sponsor that provides the original source of project funding. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- sponsorProposalNumber
string(optional)The unique identifier assigned by the sponsor when the proposal was submitted. Maximum length is 70. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- nsfSequenceNumber
string(optional)A number used to indicate the type of research activity as defined by the National Science Foundation. NSF codes are not specific for NSF proposals and/or awards. Maximum length is 12. Validating pattern is ^[0-9]*$.
- subcontracts
string(optional)The proposal will include a sub award with another institution. Maximum length is 1. Validating pattern is .*.
- agencyDivisionCode
string(optional)A code that is unique to each NSF division. Currently specific to the NSF only. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- agencyProgramCode
string(optional)A code that is unique to each NSF program. Currently specific to the NSF only. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- programAnnouncementTitle
string(optional)The title of a publicly available document, announcing a federal agency’s intentions to award discretionary grants or cooperative agreements, usually as a result of competition for funds. AKA Funding opportunity announcements, notices of funding availability, or solicitations. Maximum length is 255. Validating pattern is ^[\u0000-\uFFFF]*$.
- mailBy
string(optional)This field determines whether the Sponsored Programs Office or the department will be mailing the proposal to the agency/sponsor. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- mailType
string(optional)The method by which the proposal will be delivered to the agency/sponsor. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- mailAccountNumber
string(optional)The internal school account number that should be charged the mailing costs. Maximum length is 7. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- mailDescription
string(optional)Any information that will assist in the delivery of the proposal. Maximum length is 1000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- mailingAddressId
string(optional)The name and address to whom the proposal will be mailed. Maximum length is 6. Validating pattern is ^((-?[1-9][0-9])|[0])*$.
- numberOfCopies
string(optional)The number of paper copies of the proposal that should be mailed to the agency/sponsor. Maximum length is 2. Validating pattern is ^[0-9]*$.
- proposalStateTypeCode
string(optional)The Proposal State for this Proposal Development Document. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- creationStatusCode
string(optional)Creation Status Code. Validating pattern is .*.
- submitFlag
string(optional)Submit Flag. Validating pattern is .*.
- hierarchyStatus
string(optional)The status of the proposal in a hierarchy. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- hierarchyOriginatingChildProposalNumber
string(optional)Hierarchy Originating Child Proposal Number. Validating pattern is .*.
- hierarchyParentProposalNumber
string(optional)Hierarchy Parent Proposal Number. Validating pattern is .*.
- hierarchyLastSyncHashCode
string(optional)Hierarchy Last Sync Hash Code. Validating pattern is .*.
- hierarchyBudgetType
string(optional)The type of the budget for this proposal in a hierarchy. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- proposalNumberForGG
string(optional)Grants.gov Opportunity. Maximum length is 12. Validating pattern is ^[0-9]*$.
- opportunityIdForGG
string(optional)Grants.gov Opportunity. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- agencyRoutingIdentifier
string(optional)The Agency Routing Identifier. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- prevGrantsGovTrackingID
string(optional)Prev Grants.Gov Tracking ID. Maximum length is 50. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- createTimestamp
string(optional)Proposal Create Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- createUser
string(optional)Create User. Validating pattern is .*.
- assignerId
string(optional)Assigner Id. Validating pattern is .*.
- approverId
string(optional)Approver Id. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"assignerId": "(val)",
"approverId": "(val)",
"_primaryKey": "(val)"
},
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"assignerId": "(val)",
"approverId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Development ProposalsGET/propdev/api/v1/development-proposals/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalNumber",
"proposalTypeCode",
"continuedFrom",
"sponsorCode",
"activityTypeCode",
"ownedByUnitNumber",
"requestedStartDateInitial",
"requestedEndDateInitial",
"title",
"currentAwardNumber",
"deadlineDate",
"deadlineTime",
"noticeOfOpportunityCode",
"deadlineType",
"anticipatedAwardTypeCode",
"programAnnouncementNumber",
"primeSponsorCode",
"sponsorProposalNumber",
"nsfSequenceNumber",
"subcontracts",
"agencyDivisionCode",
[...]
